import cherrypy
from .db.tool import DBTool
from .authorization import is_authorized, authorize_all
from .authentication import authenticate

tools = cherrypy._cptools.Toolbox("cheroids")
tools.db = DBTool(priority=5)
tools.authenticate = cherrypy.Tool('before_handler', authenticate, priority=10)
tools.authorize_all = cherrypy.Tool('before_handler', authorize_all, priority=11)
tools.is_authorized = cherrypy.Tool('before_handler', is_authorized, priority=49)
