from setuptools import setup, find_packages

PROJECT_NAME = 'cheroids'


def get_version():
    import re
    VERSIONFILE = PROJECT_NAME + "/__init__.py"
    verstrline = open(VERSIONFILE, "rt").read()
    VSRE = r"^__version__ = ['\"]([^'\"]*)['\"]"
    mo = re.search(VSRE, verstrline, re.M)
    if mo:
        return mo.group(1)
    else:
        raise RuntimeError("Unable to find version string in %s." % (VERSIONFILE, ))

requires = [
    "cherrypy",
    "ujson",
    "sqlalchemy",
    "jinja2",
]

setup(
    name=PROJECT_NAME,
    version=get_version(),
    description='',
    author='Andrey Proskurnev',
    author_email='andrey@proskurnev.ru',
    url='https://github.com/ariloulaleelay/cheroids',
    download_url='https://github.com/ariloulaleelay/cheroids/tarball/' + get_version(),
    packages=find_packages(exclude=['ez_setup', 'tests']),
    include_package_data=True,
    zip_safe=True,
    install_requires=requires,
    tests_require=requires,
    test_suite="tests",
)
